
import java.util.Scanner;
import java.io.*;

/**
 * Clase utilizada para abrir el archivo que contiene la lista de alumnos.
 * 
 * @version 0.19
 * @author Linus Casassa B. & Javier Gonzalez O.
 */
class FileExtractor {

    public FileExtractor(String fileFullName) {
        try {

            Scanner escaner = new Scanner(new File(fileFullName));
            this.s = escaner;

        } catch (FileNotFoundException e) {
            System.err.println("No se pud abrir el archivo " + fileFullName);
        } catch (IOException e) {
            System.err.println("No se pudo abrir el archivo temporal " + fileFullName);
        }
    }

    public boolean quedanNombres() {
        return s.hasNextLine();
    }

    public String getRealName() {
        String delimitador = "[ \t\n]";
        String linea, aPaterno, aMaterno, name1, name2;
        if (!quedanNombres()) {
            return null;
        }
        linea = s.nextLine();
        Scanner l = (new Scanner(linea)).useDelimiter(delimitador);
        if(l.hasNext()) aPaterno = l.next(); else aPaterno = "";
        if(l.hasNext()) aMaterno = l.next(); else aMaterno = "";
        if(l.hasNext()) name1 = l.next();    else name1 ="";
        if (l.hasNext()) name2 = l.next();   else name2 = "";
        //Nombre nombre = new Nombre(name1, name2, aPaterno, aMaterno);

//	System.out.println("nombre " + name1 + " " + name2 + " " + aPaterno + " " + aMaterno);

	return name1 + " " + name2 + " " + aPaterno + " " + aMaterno;
    }
    private Scanner s;
}
