
import javax.swing.*;
import java.util.ArrayList;

/**
 * Clase utulizada para gestionar la informacion de los alumnos
 * <p>
 *  
 * @version 0.19
 * @author Linus Casassa B. & Javier Gonzalez O.
 */
public class Lista {

    /**
     * El contructor crea una nueva instancia de DefaltListModel
     * 
     * @version 0.19
     * @author Linus Casassa B. & Javier Gonzalez O.
     */
    public Lista() {
        listModel = new DefaultListModel();
    }

    public JComponent getJComponent() {
        list = new JList();
        list.setModel(listModel);
        JScrollPane scrollpane = new JScrollPane(list);

        return scrollpane;
    }

    public void add(String nombre) {
        int pos = listModel.getSize();
        listModel.add(pos, nombre);
    }

    public void del(int pos) {
        listModel.remove(pos);
    }

    public void replace(int pos, String nombre) {
        listModel.set(pos, nombre);
    }

    public void clear() {
        listModel.clear();
    }

    public int getSize() {
        return listModel.getSize();
    }

    public String get(int index) {
        return (String) listModel.get(index);
    }

    public void select(ArrayList<Integer> seleccion) {
        //Integer[] i = (Integer[]) seleccion.toArray(new Integer[0]);

        int[] i = new int[seleccion.size()];

        for (int j = 0; j < seleccion.size(); j++) {
            i[j] = seleccion.get(j).intValue();
        }

        list.setSelectedIndices(i);
    }

    public void clearSelect() {
        list.clearSelection();
    }
    private DefaultListModel listModel;
    private JList list;
} 
