
import java.io.*;

/**
 * Filtro utilizado para que cuando se abre un archivo 
 * solo muestre compatibles con el programa, en este caso archivos de texto (txt)
 * 
 * @version 0.19
 * @author Linus Casassa B. & Javier Gonzalez O.
 */
class TXTFileFilter extends javax.swing.filechooser.FileFilter {

    public boolean accept(File f) {
        return f.isDirectory() || f.getName().toLowerCase().endsWith(".txt");
    }

    public String getDescription() {
        return ".txt files";
    }
}